/[pcsx2_0.9.7]/auto_prebuild_latest_upstream.sh
ViewVC logotype

Diff of /auto_prebuild_latest_upstream.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

--- auto_prebuild_latest_upstream.sh	2010/09/10 01:39:06	119
+++ auto_prebuild_latest_upstream.sh	2010/09/10 06:09:09	124
@@ -25,9 +25,11 @@
 # export trunk to tmp dir
 echo -ne "\\tCOPYING: "$downstream_export_location/trunk" to $PCSX2_BUILD_TMP ... "
 #svn export --force "$downstream_export_location/trunk" "$PCSX2_BUILD_TMP" 2>/dev/null
-cp -Rf "$downstream_export_location/trunk"/* "$PCSX2_BUILD_TMP" 2>/dev/null && echo "done." || echo "failed."
 
+#cd "$downstream_export_location/trunk/"
+tar -cvf - --exclude=*.ncb . 2>/dev/null | (gzip -cf9 - 2>/dev/null ) | (cd "$PCSX2_BUILD_TMP"; tar -xvzf - 2>/dev/null) &>/dev/null && echo "done." || echo "failed."
 
+cd "$PCSX2_BUILD_TMP"
 # remove all .pch files
 find -name *.pch -exec rm -f {} \;
 echo "PREBUILD COMPLETED..."

 

  ViewVC Help
Powered by ViewVC 1.1.22